typedef enum JIT_OPCODE {
   JIT_FSUB = 0 << 3,
   JIT_FST = 1 << 3,
   JIT_DATA_BYTE = 2 << 3,
   JIT_RET = 3 << 3,
   JIT_TRANSFER = 4 << 3,
   JIT_SUBC = 5 << 3,
   JIT_DECL_ARG = 6 << 3,
   JIT_LSH = 7 << 3,
   JIT_FDIV = 8 << 3,
   JIT_FORCE_ASSOC = 9 << 3,
   JIT_FRET = 10 << 3,
   JIT_FSTX = 11 << 3,
   JIT_EQ = 12 << 3,
   JIT_NEG = 13 << 3,
   JIT_TRANSFER_CPY = 14 << 3,
   JIT_MEMSET = 15 << 3,
   JIT_FBNE = 16 << 3,
   JIT_FMOV = 17 << 3,
   JIT_LABEL = 18 << 3,
   JIT_BEQ = 19 << 3,
   JIT_TRANSFER_OR = 20 << 3,
   JIT_BOADD = 21 << 3,
   JIT_LD = 22 << 3,
   JIT_REF_CODE = 23 << 3,
   JIT_BOSUB = 24 << 3,
   JIT_AND = 25 << 3,
   JIT_FBEQ = 26 << 3,
   JIT_BGE = 27 << 3,
   JIT_ST = 28 << 3,
   JIT_FBLT = 29 << 3,
   JIT_BLT = 30 << 3,
   JIT_ADDC = 31 << 3,
   JIT_DIV = 32 << 3,
   JIT_MSG = 33 << 3,
   JIT_BNOSUB = 34 << 3,
   JIT_MOD = 35 << 3,
   JIT_CALL = 36 << 3,
   JIT_TRANSFER_SUBS = 37 << 3,
   JIT_FRSB = 38 << 3,
   JIT_PREPARE = 39 << 3,
   JIT_ROUND = 40 << 3,
   JIT_RENAMEREG = 41 << 3,
   JIT_MUL = 42 << 3,
   JIT_BMS = 43 << 3,
   JIT_ADDX = 44 << 3,
   JIT_FPUTARG = 45 << 3,
   JIT_MEMCPY = 46 << 3,
   JIT_NOP = 47 << 3,
   JIT_XOR = 48 << 3,
   JIT_TRANSFER_ADD = 49 << 3,
   JIT_TRANSFER_SUB = 50 << 3,
   JIT_PUTARG = 51 << 3,
   JIT_ALLOCA = 52 << 3,
   JIT_GE = 53 << 3,
   JIT_DATA_REF_DATA = 54 << 3,
   JIT_NE = 55 << 3,
   JIT_FNEG = 56 << 3,
   JIT_EXT = 57 << 3,
   JIT_BNE = 58 << 3,
   JIT_GETARG = 59 << 3,
   JIT_FMUL = 60 << 3,
   JIT_LE = 61 << 3,
   JIT_FORCE_SPILL = 62 << 3,
   JIT_SUBX = 63 << 3,
   JIT_TOUCH = 64 << 3,
   JIT_CODE_ALIGN = 65 << 3,
   JIT_TRUNC = 66 << 3,
   JIT_TRANSFER_XOR = 67 << 3,
   JIT_TRANSFER_ADDS = 68 << 3,
   JIT_LDX = 69 << 3,
   JIT_CEIL = 70 << 3,
   JIT_DATA_REF_CODE = 71 << 3,
   JIT_FULL_SPILL = 72 << 3,
   JIT_FLD = 73 << 3,
   JIT_BLE = 74 << 3,
   JIT_TRACE = 75 << 3,
   JIT_FLDX = 76 << 3,
   JIT_X86_STI = 77 << 3,
   JIT_RSB = 78 << 3,
   JIT_FADD = 79 << 3,
   JIT_MARK = 80 << 3,
   JIT_NOT = 81 << 3,
   JIT_TRANSFER_AND = 82 << 3,
   JIT_REF_DATA = 83 << 3,
   JIT_LT = 84 << 3,
   JIT_UREG = 85 << 3,
   JIT_X86_ADDIMM = 86 << 3,
   JIT_FBGT = 87 << 3,
   JIT_PROLOG = 88 << 3,
   JIT_BNOADD = 89 << 3,
   JIT_SUB = 90 << 3,
   JIT_FBGE = 91 << 3,
   JIT_X86_ADDMUL = 92 << 3,
   JIT_DATA_BYTES = 93 << 3,
   JIT_COMMENT = 94 << 3,
   JIT_SYNCREG = 95 << 3,
   JIT_HMUL = 96 << 3,
   JIT_BMC = 97 << 3,
   JIT_RSH = 98 << 3,
   JIT_ADD = 99 << 3,
   JIT_BGT = 100 << 3,
   JIT_GT = 101 << 3,
   JIT_X86_STXI = 102 << 3,
   JIT_FRETVAL = 103 << 3,
   JIT_CODESTART = 104 << 3,
   JIT_RETVAL = 105 << 3,
   JIT_STX = 106 << 3,
   JIT_MOV = 107 << 3,
   JIT_FBLE = 108 << 3,
   JIT_LREG = 109 << 3,
   JIT_OR = 110 << 3,
   JIT_FLOOR = 111 << 3,
   JIT_PATCH = 112 << 3,
   JIT_JMP = 113 << 3,
} jit_opcode;
jit_opcode dummy_opcode;
